﻿/**Begin C:\PDM_UPGRADE\PDM1\PBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_PBD_API_INPUTSENTITY', 'T_PBD_API_INPUTSENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_INPUTS_FID_FSEQ') CREATE INDEX IDX_PBD_API_INPUTS_FID_FSEQ ON T_PBD_API_INPUTSENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_API_OUTPUTSENTITY', 'T_PBD_API_OUTPUTSENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_OUTPUTS_FID_FSEQ') CREATE INDEX IDX_PBD_API_OUTPUTS_FID_FSEQ ON T_PBD_API_OUTPUTSENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_API_STANDARD', 'T_PBD_API_STANDARD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_STANDARD_FNUMBER') CREATE INDEX IDX_PBD_API_STANDARD_FNUMBER ON T_PBD_API_STANDARD ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_STANDARD_FMASTERID') CREATE INDEX IDX_PBD_API_STANDARD_FMASTERID ON T_PBD_API_STANDARD ( FMASTERID );


 EXEC P_ALTERPK 'PK_PBD_API_STANDARD_ENTITY', 'T_PBD_API_STANDARD_ENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_ST_ENTITY_FID_FSEQ') CREATE INDEX IDX_PBD_API_ST_ENTITY_FID_FSEQ ON T_PBD_API_STANDARD_ENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_API_STANDARD_L', 'T_PBD_API_STANDARD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_STANDARD_L_FID') CREATE INDEX IDX_PBD_API_STANDARD_L_FID ON T_PBD_API_STANDARD_L ( FID );


 EXEC P_ALTERPK 'PK_PBD_API_STANDARD_TYPE', 'T_PBD_API_STANDARD_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_ST_TYPE_FNUMBER') CREATE INDEX IDX_PBD_API_ST_TYPE_FNUMBER ON T_PBD_API_STANDARD_TYPE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_ST_TYPE_FMASTERID') CREATE INDEX IDX_PBD_API_ST_TYPE_FMASTERID ON T_PBD_API_STANDARD_TYPE ( FMASTERID );


 EXEC P_ALTERPK 'PK_PBD_API_STANDARD_TYPE_L', 'T_PBD_API_STANDARD_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_API_ST_TYPE_L_FID') CREATE INDEX IDX_PBD_API_ST_TYPE_L_FID ON T_PBD_API_STANDARD_TYPE_L ( FID );


 EXEC P_ALTERPK 'PK_PBD_BUSI_ABNENTITY', 'T_PBD_BUSI_ABNENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_ABN_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_ABN_FID_FSEQ ON T_PBD_BUSI_ABNENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_BRANCHENTITY', 'T_PBD_BUSI_BRANCHENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_BRANCH_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_BRANCH_FID_FSEQ ON T_PBD_BUSI_BRANCHENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_CCHECKENTITY', 'T_PBD_BUSI_CCHECKENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_CCHECK_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_CCHECK_FID_FSEQ ON T_PBD_BUSI_CCHECKENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_CHANGEENTITY', 'T_PBD_BUSI_CHANGEENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_CHANGE_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_CHANGE_FID_FSEQ ON T_PBD_BUSI_CHANGEENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_COMCHECKENTITY', 'T_PBD_BUSI_COMCHECKENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUDI_COMCHECK_FID_FSEQ') CREATE INDEX IDX_PBD_BUDI_COMCHECK_FID_FSEQ ON T_PBD_BUSI_COMCHECKENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_CONTACTENTITY', 'T_PBD_BUSI_CONTACTENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_CONTACT_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_CONTACT_FID_FSEQ ON T_PBD_BUSI_CONTACTENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_COURTANENTITY', 'T_PBD_BUSI_COURTANENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_COURTAN_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_COURTAN_FID_FSEQ ON T_PBD_BUSI_COURTANENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_COURTREGENTITY', 'T_PBD_BUSI_COURTREGENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_COURTREG_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_COURTREG_FID_FSEQ ON T_PBD_BUSI_COURTREGENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_DISHONENTITY', 'T_PBD_BUSI_DISHONENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PUR_COMPENTRY_FID_FSEQ') CREATE INDEX IDX_PUR_COMPENTRY_FID_FSEQ ON T_PBD_BUSI_DISHONENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_EXEENTITY', 'T_PBD_BUSI_EXEENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_EXE_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_EXE_FID_FSEQ ON T_PBD_BUSI_EXEENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_HOLDERENTITY', 'T_PBD_BUSI_HOLDERENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_HOLDER_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_HOLDER_FID_FSEQ ON T_PBD_BUSI_HOLDERENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_ILLEGALENTITY', 'T_PBD_BUSI_ILLEGALENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_ILLEGAL_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_ILLEGAL_FID_FSEQ ON T_PBD_BUSI_ILLEGALENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_KTANENTITY', 'T_PBD_BUSI_KTANENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_KEAN_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_KEAN_FID_FSEQ ON T_PBD_BUSI_KTANENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_LAWSUITENTITY', 'T_PBD_BUSI_LAWSUITENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PUR_BUSI_LAWS_FID_FSEQ') CREATE INDEX IDX_PUR_BUSI_LAWS_FID_FSEQ ON T_PBD_BUSI_LAWSUITENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_NEWSENTITY', 'T_PBD_BUSI_NEWSENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_NEWS_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_NEWS_FID_FSEQ ON T_PBD_BUSI_NEWSENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_PROCHECKENTITY', 'T_PBD_BUSI_PROCHECKENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_PROC_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_PROC_FID_FSEQ ON T_PBD_BUSI_PROCHECKENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_PUNISHENTITY', 'T_PBD_BUSI_PUNISHENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_PUNISH_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_PUNISH_FID_FSEQ ON T_PBD_BUSI_PUNISHENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSI_STAFFENTITY', 'T_PBD_BUSI_STAFFENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_STAFF_FID_FSEQ') CREATE INDEX IDX_PBD_BUSI_STAFF_FID_FSEQ ON T_PBD_BUSI_STAFFENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_BUSINESS_INFO', 'T_PBD_BUSINESS_INFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSINESS_INFO_FBILLNO') CREATE INDEX IDX_PBD_BUSINESS_INFO_FBILLNO ON T_PBD_BUSINESS_INFO ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_BUSI_INFO_FCREATTIME') CREATE INDEX IDX_PBD_BUSI_INFO_FCREATTIME ON T_PBD_BUSINESS_INFO ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PBD_LINK', 'T_PBD_LINK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_LINK_FNUMBER') CREATE INDEX IDX_PBD_LINK_FNUMBER ON T_PBD_LINK ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_LINK_FMASTERID') CREATE INDEX IDX_PBD_LINK_FMASTERID ON T_PBD_LINK ( FMASTERID );


 EXEC P_ALTERPK 'PK_PBD_LINK_L', 'T_PBD_LINK_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_LINK_L_FID') CREATE INDEX IDX_PBD_LINK_L_FID ON T_PBD_LINK_L ( FID );


 EXEC P_ALTERPK 'PK_PBD_LINK_ORGENTITY', 'T_PBD_LINK_ORGENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_LINK_FID_FSEQ') CREATE INDEX IDX_PBD_LINK_FID_FSEQ ON T_PBD_LINK_ORGENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_ENTRYENTITY', 'T_PBD_SERVICE_ENTRYENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_SERVICE_ENTRY_FID_FSEQ') CREATE INDEX IDX_PBD_SERVICE_ENTRY_FID_FSEQ ON T_PBD_SERVICE_ENTRYENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_OP_SCENE', 'T_PBD_SERVICE_OP_SCENE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_SERVICE_OP_FNUMBER') CREATE INDEX IDX_PBD_SERVICE_OP_FNUMBER ON T_PBD_SERVICE_OP_SCENE ( FNUMBER );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_OP_SCENE_L', 'T_PBD_SERVICE_OP_SCENE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_SERVICE_OP_SCENE_L_FID') CREATE INDEX IDX_PBD_SERVICE_OP_SCENE_L_FID ON T_PBD_SERVICE_OP_SCENE_L ( FID );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_ORGENTITY', 'T_PBD_SERVICE_ORGENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_SERVECE_ORG_FID_FSEQ') CREATE INDEX IDX_PBD_SERVECE_ORG_FID_FSEQ ON T_PBD_SERVICE_ORGENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_PROGRAMME', 'T_PBD_SERVICE_PROGRAMME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_PROGRAMME_FNUMBER') CREATE INDEX IDX_PBD_PROGRAMME_FNUMBER ON T_PBD_SERVICE_PROGRAMME ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_PROGRAMME_FMASTERID') CREATE INDEX IDX_PBD_PROGRAMME_FMASTERID ON T_PBD_SERVICE_PROGRAMME ( FMASTERID );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_PROGRAMME_L', 'T_PBD_SERVICE_PROGRAMME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_PROGRAMME_L_FID') CREATE INDEX IDX_PBD_PROGRAMME_L_FID ON T_PBD_SERVICE_PROGRAMME_L ( FID );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_RULE', 'T_PBD_SERVICE_RULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_SERVICE_RULE_FNUMBER') CREATE INDEX IDX_PBD_SERVICE_RULE_FNUMBER ON T_PBD_SERVICE_RULE ( FBILLNO );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_RULE_FIN', 'T_PBD_SERVICE_RULE_FIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_RULE_FIN_FID_FSEQ') CREATE INDEX IDX_PBD_RULE_FIN_FID_FSEQ ON T_PBD_SERVICE_RULE_FIN ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_RULE_FOUT', 'T_PBD_SERVICE_RULE_FOUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_RULE_FOUT_FID_FSEQ') CREATE INDEX IDX_PBD_RULE_FOUT_FID_FSEQ ON T_PBD_SERVICE_RULE_FOUT ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_RULE_PLUGIN', 'T_PBD_SERVICE_RULE_PLUGIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_RULE_PLUGIN_FID_FSEQ') CREATE INDEX IDX_PBD_RULE_PLUGIN_FID_FSEQ ON T_PBD_SERVICE_RULE_PLUGIN ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_RULE_RIN', 'T_PBD_SERVICE_RULE_RIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBDRULE_RIN_FID_FSEQ') CREATE INDEX IDX_PBDRULE_RIN_FID_FSEQ ON T_PBD_SERVICE_RULE_RIN ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_RULE_ROUT', 'T_PBD_SERVICE_RULE_ROUT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_RULE_OUT_FID_FSEQ') CREATE INDEX IDX_PBD_RULE_OUT_FID_FSEQ ON T_PBD_SERVICE_RULE_ROUT ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_SCENE', 'T_PBD_SERVICE_SCENE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_SERVICE_SCENE_FNUMBER') CREATE INDEX IDX_PBD_SERVICE_SCENE_FNUMBER ON T_PBD_SERVICE_SCENE ( FNUMBER );


 EXEC P_ALTERPK 'PK_PBD_SERVICE_SCENE_L', 'T_PBD_SERVICE_SCENE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_SERVICE_SCENE_L_FID') CREATE INDEX IDX_PBD_SERVICE_SCENE_L_FID ON T_PBD_SERVICE_SCENE_L ( FID );


 EXEC P_ALTERPK 'PK_PBD_STRUCT', 'T_PBD_STRUCT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_STRUCT_FNUMBER') CREATE INDEX IDX_PBD_STRUCT_FNUMBER ON T_PBD_STRUCT ( FNUMBER );


 EXEC P_ALTERPK 'PK_PBD_STRUCT_INPUTENTITY', 'T_PBD_STRUCT_INPUTENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_STRUCT_INPUT_FID_FSEQ') CREATE INDEX IDX_PBD_STRUCT_INPUT_FID_FSEQ ON T_PBD_STRUCT_INPUTENTITY ( FID ,FSEQ );


 EXEC P_ALTERPK 'PK_PBD_STRUCT_L', 'T_PBD_STRUCT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_STRUCT_L_FID') CREATE INDEX IDX_PBD_STRUCT_L_FID ON T_PBD_STRUCT_L ( FID );


 EXEC P_ALTERPK 'PK_PBD_STRUCT_OUTPUTENTITY', 'T_PBD_STRUCT_OUTPUTENTITY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_STRUCT_OUT_FID_FSEQ') CREATE INDEX IDX_PBD_STRUCT_OUT_FID_FSEQ ON T_PBD_STRUCT_OUTPUTENTITY ( FID ,FSEQ );
 
  EXEC P_ALTERPK 'PK_PBD_SERVICE_FIELDPLUGIN', 'T_PBD_SERVICE_FIELDPLUGIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_FIELD_PLUGIN_FID_FSEQ') CREATE INDEX IDX_PBD_FIELD_PLUGIN_FID_FSEQ ON T_PBD_SERVICE_FIELDPLUGIN ( FID ,FSEQ );
 
  EXEC P_ALTERPK 'PK_PBD_SERVICE_FIELDPLUGIN', 'T_PBD_SERVICE_FIELDPLUGIN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PBD_FIELD_PLUGIN_FID_FSEQ') CREATE INDEX IDX_PBD_FIELD_PLUGIN_FID_FSEQ ON T_PBD_SERVICE_FIELDPLUGIN ( FID ,FSEQ );



/**End C:\PDM_UPGRADE\PDM1\PBD_constraint.sql **/
